Save parameters for pretrained model
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/pretrained-model/save \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"input": {
"inputType": "time-series",
"frequencyHz": 123,
"windowLengthMs": 123
},
"model": {
"modelType": "classification",
"labels": [
"<string>"
]
},
"datasetVersionId": 123
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/pretrained-model/save"
payload = {
"input": {
"inputType": "time-series",
"frequencyHz": 123,
"windowLengthMs": 123
},
"model": {
"modelType": "classification",
"labels": ["<string>"]
},
"datasetVersionId": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {inputType: 'time-series', frequencyHz: 123, windowLengthMs: 123},
model: {modelType: 'classification', labels: ['<string>']},
datasetVersionId: 123
})
};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/pretrained-model/save', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://studio.edgeimpulse.com/v1/api/{projectId}/pretrained-model/save",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'input' => [
'inputType' => 'time-series',
'frequencyHz' => 123,
'windowLengthMs' => 123
],
'model' => [
'modelType' => 'classification',
'labels' => [
'<string>'
]
],
'datasetVersionId' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://studio.edgeimpulse.com/v1/api/{projectId}/pretrained-model/save"
payload := strings.NewReader("{\n \"input\": {\n \"inputType\": \"time-series\",\n \"frequencyHz\": 123,\n \"windowLengthMs\": 123\n },\n \"model\": {\n \"modelType\": \"classification\",\n \"labels\": [\n \"<string>\"\n ]\n },\n \"datasetVersionId\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://studio.edgeimpulse.com/v1/api/{projectId}/pretrained-model/save")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"input\": {\n \"inputType\": \"time-series\",\n \"frequencyHz\": 123,\n \"windowLengthMs\": 123\n },\n \"model\": {\n \"modelType\": \"classification\",\n \"labels\": [\n \"<string>\"\n ]\n },\n \"datasetVersionId\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://studio.edgeimpulse.com/v1/api/{projectId}/pretrained-model/save")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"input\": {\n \"inputType\": \"time-series\",\n \"frequencyHz\": 123,\n \"windowLengthMs\": 123\n },\n \"model\": {\n \"modelType\": \"classification\",\n \"labels\": [\n \"<string>\"\n ]\n },\n \"datasetVersionId\": 123\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"error": "<string>"
}Save parameters for pretrained model
Save input / model configuration for a pretrained model. This overrides the current impulse. If you want to deploy a pretrained model from the API, see startDeployPretrainedModelJob.
POST
/
api
/
{projectId}
/
pretrained-model
/
save
Save parameters for pretrained model
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/pretrained-model/save \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"input": {
"inputType": "time-series",
"frequencyHz": 123,
"windowLengthMs": 123
},
"model": {
"modelType": "classification",
"labels": [
"<string>"
]
},
"datasetVersionId": 123
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/pretrained-model/save"
payload = {
"input": {
"inputType": "time-series",
"frequencyHz": 123,
"windowLengthMs": 123
},
"model": {
"modelType": "classification",
"labels": ["<string>"]
},
"datasetVersionId": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {inputType: 'time-series', frequencyHz: 123, windowLengthMs: 123},
model: {modelType: 'classification', labels: ['<string>']},
datasetVersionId: 123
})
};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/pretrained-model/save', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://studio.edgeimpulse.com/v1/api/{projectId}/pretrained-model/save",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'input' => [
'inputType' => 'time-series',
'frequencyHz' => 123,
'windowLengthMs' => 123
],
'model' => [
'modelType' => 'classification',
'labels' => [
'<string>'
]
],
'datasetVersionId' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://studio.edgeimpulse.com/v1/api/{projectId}/pretrained-model/save"
payload := strings.NewReader("{\n \"input\": {\n \"inputType\": \"time-series\",\n \"frequencyHz\": 123,\n \"windowLengthMs\": 123\n },\n \"model\": {\n \"modelType\": \"classification\",\n \"labels\": [\n \"<string>\"\n ]\n },\n \"datasetVersionId\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://studio.edgeimpulse.com/v1/api/{projectId}/pretrained-model/save")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"input\": {\n \"inputType\": \"time-series\",\n \"frequencyHz\": 123,\n \"windowLengthMs\": 123\n },\n \"model\": {\n \"modelType\": \"classification\",\n \"labels\": [\n \"<string>\"\n ]\n },\n \"datasetVersionId\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://studio.edgeimpulse.com/v1/api/{projectId}/pretrained-model/save")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"input\": {\n \"inputType\": \"time-series\",\n \"frequencyHz\": 123,\n \"windowLengthMs\": 123\n },\n \"model\": {\n \"modelType\": \"classification\",\n \"labels\": [\n \"<string>\"\n ]\n },\n \"datasetVersionId\": 123\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"error": "<string>"
}Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Query Parameters
Impulse ID. If this is unset then the default impulse is used.
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Show child attributes
Show child attributes
EXPERIMENTAL. Test your pretrained model against an immutable dataset snapshot when supplied, or omit to use your current mutable dataset instead. This property is supported only when the dataset versioning experiment is enabled and may change in the future.
Was this page helpful?